# GoogleChartLabelStyleNumberType Class Reference

Inheritance diagram for GoogleChartLabelStyleNumberType:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| setPrecisionLevel ($level)
| getPrecisionLevel ()
| setType (LabelStyleType $type)
| getType ()
| setWithTrailingZero ($orly=true)
| withTrailingZero ()
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'N'

## Private Attributes

| $precisionLevel = null
| $type = null
| $withTrailingZero = false

## Detailed Description

Definition at line 17 of file GoogleChartLabelStyleNumberType.class.php.

## Constructor & Destructor Documentation

GoogleChartLabelStyleNumberType::__construct | ( |  | ) |

Definition at line 35 of file GoogleChartLabelStyleNumberType.class.php.

## Member Function Documentation

static GoogleChartLabelStyleNumberType::create | ( |  | ) | `[static]`

Returns:
  GoogleChartLabelStyleNumberType

Definition at line 30 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::getPrecisionLevel | ( |  | ) |

Definition at line 50 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::getType | ( |  | ) |

Returns:
  LabelStyleType

Definition at line 68 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::setPrecisionLevel | ( | $ | level | ) |

Returns:
  GoogleChartLabelStyleNumberType

Definition at line 43 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::setType | ( | LabelStyleType $ | type | ) |

Returns:
  GoogleChartLabelStyleNumberType

Definition at line 58 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::setWithTrailingZero | ( | $ | orly = `true` | ) |

Returns:
  GoogleChartLabelStyleNumberType

Definition at line 76 of file GoogleChartLabelStyleNumberType.class.php.

References withTrailingZero().

Here is the call graph for this function:

GoogleChartLabelStyleNumberType::toString | ( |  | ) |

Reimplemented from BaseGoogleChartLabelStyleType.

Definition at line 88 of file GoogleChartLabelStyleNumberType.class.php.

References withTrailingZero().

Here is the call graph for this function:

GoogleChartLabelStyleNumberType::withTrailingZero | ( |  | ) |

Definition at line 83 of file GoogleChartLabelStyleNumberType.class.php.

Referenced by setWithTrailingZero(), and toString().

## Member Data Documentation

GoogleChartLabelStyleNumberType::$name = 'N'`[protected]`

Reimplemented from BaseGoogleChartLabelStyleType.

Definition at line 20 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::$precisionLevel = null`[private]`

Definition at line 22 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::$type = null`[private]`

Definition at line 23 of file GoogleChartLabelStyleNumberType.class.php.

GoogleChartLabelStyleNumberType::$withTrailingZero = false`[private]`

Definition at line 24 of file GoogleChartLabelStyleNumberType.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartLabelStyleNumberType.class.php